/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.artifacts.model.fixings;

import org.dive4elements.river.artifacts.model.Parameters;
import org.dive4elements.river.artifacts.model.WQKms;
import org.dive4elements.river.artifacts.model.WQKmsResult;

/** Result of a FixRealizing Calculation. */
public class FixRealizingResult extends FixResult implements WQKmsResult {
    private static final long serialVersionUID = 1L;

    public WQKms[] wqkms;

    public FixRealizingResult() {
    }

    public FixRealizingResult(final Parameters parameters, final FixResultColumns fixResultColumns, final WQKms[] wqkms) {
        super(parameters, fixResultColumns);

        this.wqkms = wqkms;
    }

    @Override
    public WQKms[] getWQKms() {
        return this.wqkms;
    }
}